/*
Original Author:  Marcelo Moraes 

					
  Massive Modifications have been made to the origianal code
  to fit my purposes.  Brian
  
 */

//Libraries
#include <AFMotor.h>

//Objects
AF_DCMotor motorRight(1, MOTOR12_64KHZ); // create motor #1, 64KHz pwm
AF_DCMotor motorLeft(2, MOTOR12_64KHZ);  // create motor #2, 64KHz pwm

//Constants and variable

char det;    // Store for Command sent from Remote App
int vel = 0; //Bluetooth Stuff


void setup() {
  Serial.begin(9600); // set up Serial library at 9600 bps
  
  
  //turn off motors
  motorRight.setSpeed(0);
  motorLeft.setSpeed(0);
  motorRight.run(RELEASE);
  motorLeft.run(RELEASE);
  
  

}

void loop() {
  det = Serial.read(); // Get code sent from Remote
  vel=255;             // Initial and Maximum 'speed' value
  //serial code analysis
  switch (det){
    case 'F': // F, move forward
    motorRight.setSpeed(vel);
    motorLeft.setSpeed(vel);
    motorRight.run(FORWARD);      
    motorLeft.run(FORWARD);
        break;
    
    case 'B': // B, move back
    motorRight.setSpeed(vel);
    motorLeft.setSpeed(vel);
    motorRight.run(BACKWARD);      
    motorLeft.run(BACKWARD);
        break;
    
    case 'X':// X, move hard left, rotates sharply around a small spot.
    motorRight.setSpeed(vel);
    motorLeft.setSpeed(vel/8);  //Set 1/8th of speed on this side
    motorRight.run(FORWARD);      
    motorLeft.run(FORWARD);
        break;
    
    case 'Y': // Y, move hard right, rotates sharply around a small spot.
    motorRight.setSpeed(vel/8);  //Set 1/8th of speed on this side
    motorLeft.setSpeed(vel);
    motorRight.run(FORWARD);      
    motorLeft.run(FORWARD);
        break;
    
    case 'R': // R, turn slowly right forward
    motorRight.setSpeed(2*vel/3);  //Set 2/3rd of speed for a veer motion
    motorLeft.setSpeed(vel);
    motorRight.run(FORWARD);      
    motorLeft.run(FORWARD);
        break;
    
    case 'r': // r, turn slowly right back
    motorRight.setSpeed(2*vel/3);  //Set 2/3rd of speed for a veer motion
    motorLeft.setSpeed(vel);  
    motorRight.run(BACKWARD);     
    motorLeft.run(BACKWARD);
       break;
    
    case 'L': // L, turn slowly left forward
    motorRight.setSpeed(vel);
    motorLeft.setSpeed(2*vel/3);  //Set 2/3rd of speed for a veer motion
    motorRight.run(FORWARD);      
    motorLeft.run(FORWARD);
        break;
    
    case 'l': // l, turn slowly left back
    motorRight.setSpeed(vel);
    motorLeft.setSpeed(2*vel/3);  //Set 2/3rd of speed for a veer motion
    motorRight.run(BACKWARD);     
    motorLeft.run(BACKWARD);
        break;
    
    case 'S': // S, stop
    motorRight.setSpeed(0);
    motorLeft.setSpeed(0);
    motorRight.run(RELEASE);      
    motorLeft.run(RELEASE);
        break;
    
    
    
  }
}
